<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.huyi.service.base.mapper.ZcFinanceProComRelMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.huyi.service.base.entity.ZcFinanceProComRel">
        <id column="zfpcr_id" property="zfpcrId" />
        <result column="zfpcr_product_id" property="zfpcrProductId" />
        <result column="zfpcr_company_id" property="zfpcrCompanyId" />
        <result column="zfpcr_amount" property="zfpcrAmount" />
        <result column="zfpcr_old_amount" property="zfpcrOldAmount" />
        <result column="zfpcr_rate" property="zfpcrRate" />
        <result column="zfpcr_division_amount" property="zfpcrDivisionAmount" />
        <result column="zfpcr_date_type" property="zfpcrDateType" />
        <result column="zfpcr_start_date" property="zfpcrStartDate" />
        <result column="zfpcr_end_date" property="zfpcrEndDate" />
        <result column="zfpcr_address" property="zfpcrAddress" />
        <result column="zfpcr_charge" property="zfpcrCharge" />
        <result column="zfpcr_charge_rate" property="zfpcrChargeRate" />
        <result column="zfpcr_account" property="zfpcrAccount" />
        <result column="zfpcr_account_bank" property="zfpcrAccountBank" />
        <result column="zfpcr_loan_type" property="zfpcrLoanType" />
        <result column="zfpcr_bookkeeping_type" property="zfpcrBookkeepingType" />
        <result column="zfpcr_status" property="zfpcrStatus" />
        <result column="zfpcr_profit_spare1" property="zfpcrProfitSpare1" />
        <result column="zfpcr_profit_spare2" property="zfpcrProfitSpare2" />
        <result column="zfpcr_profit_spare3" property="zfpcrProfitSpare3" />
        <result column="zfpcr_profit_spare4" property="zfpcrProfitSpare4" />
        <result column="zfpcr_profit_spare5" property="zfpcrProfitSpare5" />
        <result column="zfpcr_profit_spare6" property="zfpcrProfitSpare6" />
        <result column="zfpcr_profit_spare7" property="zfpcrProfitSpare7" />
        <result column="zfpcr_profit_spare8" property="zfpcrProfitSpare8" />
        <result column="zfpcr_profit_spare9" property="zfpcrProfitSpare9" />
        <result column="create_by" property="createBy" />
        <result column="create_time" property="createTime" />
        <result column="update_by" property="updateBy" />
        <result column="update_time" property="updateTime" />
    </resultMap>

</mapper>
